## thunderbird 78.12.0

=== debian/changelog ===
thunderbird (1:78.12.0-1) unstable; urgency=medium

  * [74d3cdb] New upstream version 78.12.0
    Fixed CVE issues in upstream version 78.12 (MFSA 2021-30):
    CVE-2021-29969: IMAP server responses sent by a MITM prior to STARTTLS
                    could be processed
    CVE-2021-29970: Use-after-free in accessibility features of a document
    CVE-2021-30547: Out of bounds write in ANGLE
    CVE-2021-29976: Memory safety bugs fixed in Thunderbird 78.12

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jul 2021 09:33:28 +0200

thunderbird (1:78.11.0-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [241e539] d/thunderbird.1: Correct debugger option
    Remove parts that are no longer valid, especially there is no dedicated
    shell script any more the user has to start, calling 'thunderbird -g' is
    enough to start a GDB call.
  * [66deb37] thunderbird: Use internal NSS source while package built
    (Closes: #989839, #989843, #989979, #989983, #989922, #990012)
  * [07fb6ef] d/thunderbird-wrapper.sh: Use '${}' syntax for variables

  [ Kevin Locke ]
  * [d003e26] d/thunderbird-wrapper.sh: Make gdb call more fail safe
    (Closes: #942799)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 20 Jun 2021 07:20:41 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbgsym package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)
DEB_AUTO_UPDATE_AUTOCONF=2.13

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# ID of the l10n language packs from upstream, need to match the application.id
# in thunderbird-l10n/$LANG/manifest.json
export MOZ_LANGPACK_ID = $(shell grep MOZ_LANGPACK_EID comm/mail/locales/Makefile.in | cut -f2 -d @)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options. Picked partially from FF.

dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
lazy = $(eval $(1) = $$(if $$(___$(1)),,$$(eval ___$(1) := $(2)))$$(___$(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
	LDFLAGS += -Wl,-z,muldefs
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
LDFLAGS += -Wl,--as-needed

# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
# Doing this only on 64bit architectures.
ifeq (64,$(DEB_BUILD_ARCH_BITS))
	LDFLAGS += -Wl,--compress-debug-sections=zlib
endif

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

# Using the timestamp for MOZ_BUILD_DATE from the file './sourcestamp.txt'
# which is set by Mozilla while creating the release.
# This ensures we have a one-to-one date across the various package builds
# within Debian for one upstream version. This is important for user which
# are performing a dist-upgrade to a new release.
export MOZ_BUILD_DATE := ${shell head -n1 $(CURDIR)/sourcestamp.txt}
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
# Some Debian build tools clear out some variables
export SHELL=/bin/bash
# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	find -type f -name "*.pyc" -exec rm {} \;
	rm -rf third_party/python/psutil/tmp
	rm -f configure old-configure js/src/configure js/src/old-configure mozconfig.*
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	rm -rf $(CARGO_HOME)

override_dh_auto_configure:
	# run autoconf for all configure files
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/js/src/configure ]; then \
		cd $(CURDIR)/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	# copy the mozconfig files
	cp debian/mozconfig.* .
	# Disable debug symbols when building on 32-bits machines, because
	# a) the rust compiler can't deal with it in the available address
	# space, and b) the linker can't deal with it in the available address
	# space either.
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
endif
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
	# configure the various build settings for thunderbird
	DIST= python3 ./mach -v configure

override_dh_auto_build:
	# building the stuff
	dh_auto_build --builddirectory=obj-thunderbird
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n ;\
	for XPI in *; do \
		locale=`basename $${XPI}` ;\
		USED_LANGPACK_ID=`grep langpack- $${XPI}/manifest.json | tr '"' ' ' | awk '{print $$3}' | cut -f2-3 -d @` ;\
		if [ "$${USED_LANGPACK_ID}" != "$${MOZ_LANGPACK_ID}" ]; then \
			echo "MOZ_LANGPACK_ID mismatch! '$${USED_LANGPACK_ID}' != '$${MOZ_LANGPACK_ID}'" ;\
			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
			exit 1 ;\
		else \
			$(CURDIR)/debian/xpi-pack.sh $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		fi \
	done

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	# install thunderbird into temp install folder
	python3 ./mach -v install
	# install, symlinking thunderbird-l10n packages
	cd $(CURDIR)/thunderbird-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "preparing and working on 'thunderbird-l10n-$${lowercase_locale}  (langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi)" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
	done
	dh_bash-completion

override_dh_install-arch:
	dh_install
	# apparmor profile installed by dh_install
	dh_apparmor --profile-name=usr.bin.thunderbird -pthunderbird

override_dh_install-indep:
	dh_install
	# remove executable rights on *.js, *.png, *.xul files
	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;

override_dh_strip:
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_strip --automatic-dbgsym ;\
	else \
		dh_strip --no-automatic-dbgsym ;\
	fi

override_dh_shlibdeps:
	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0

override_dh_builddeb:
	# just build all packages if there is no 'UNRELEASED' within the changelog
	# found, otherwise skip the thunderbird-dbgsym package, it isn't there
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_builddeb ;\
	else \
		dh_builddeb -pthunderbird ;\
		dh_builddeb -plightning ;\
		for package in `grep -e \
			'Package: thunderbird-l10n\|Package: lightning-l10n' debian/control | awk '{print $$2;}'`; do \
			dh_builddeb -p$$package ;\
		done ;\
		sed -i '/thunderbird-dbgsym/d' debian/files ;\
	fi

.PHONY: build

## thunderbird 78.13.0

=== debian/changelog ===
thunderbird (2:78.13.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 13 Aug 2021 18:26:45 -0700

thunderbird (1:78.13.0-1) unstable; urgency=medium

  * [b4498b0] New upstream version 78.13.0
    Fixed CVE issues in upstream version 78.12 (MFSA 2021-35):
    CVE-2021-29986: Race condition when resolving DNS names could have led to
                    memory corruption
    CVE-2021-29988: Memory corruption as a result of incorrect style treatment
    CVE-2021-29984: Incorrect instruction reordering during JIT optimization
    CVE-2021-29980: Uninitialized memory in a canvas object could have led to
                    memory corruption
    CVE-2021-29985: Use-after-free media channels
    CVE-2021-29989: Memory safety bugs fixed in Thunderbird 78.13

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Aug 2021 16:13:25 +0200

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 autoconf2.13,
 bash-completion,
 bzip2,
 cargo (>= 0.42),
 cbindgen (>= 0.14),
 clang,
 debhelper (>= 10.2.5~),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libbotan-2-dev (>= 2.8.0),
 libbz2-dev,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-dev,
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libgtk2.0-dev,
 libgtk-3-dev (>= 3.4),
 libjson-c-dev (>= 0.11),
 libhunspell-dev (>= 1.5.1~),
 libicu-dev (>= 64.1~),
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libnspr4-dev (>= 2:4.25~),
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 librust-toml-dev,
 libstartup-notification0-dev,
 libvpx-dev (>= 1.5.0),
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-dev,
 mesa-common-dev,
 nodejs (>= 10.19.0),
 python3,
 rustc (>= 1.41),
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird
Homepage: https://www.thunderbird.net/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.5.1

Package: thunderbird
Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
Depends:
 debianutils (>= 1.16),
 fontconfig,
 psmisc,
 x11-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
 libgtk2.0-0,
Provides:
 lightning (= ${binary:Version}),
 mail-reader,
Breaks:
 birdtray (<< 1.7.0+ds-1~),
 calendar-google-provider (<=1:68.2.1-1),
 enigmail (<< 2:2.2.0~),
 jsunit (<< 0.2.2-1~),
 lightning (<< 1:76.0~b1-1~),
 webext-compactheader (<= 3.0.0~),
 xul-ext-dispmua (<= 1.8.4.6-1),
 webext-exteditor (<= 2.0.4-1),
 xul-ext-firetray (<= 0.6.1+dfsg-1.2),
 xul-ext-quotecolors (<=0.3-6),
 xul-ext-sieve (<= 0.3.1+dfsg-1~),
 webext-sogo-connector (<= 68.0.1-2~),
Replaces:
 lightning (<< 1:76.0~b1-1~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 Thunderbird also includes an integrated calendar for handling events, events
 invitations and tasks in multiple calendars. It supports local calendars,
 CalDAV and plain ics files on CardDAV and WebDAV.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: lightning
Architecture: all
Section: oldlibs
Depends:
 thunderbird (>= ${binary:Version}),
 ${misc:Depends},
Description: Calendar Extension for Thunderbird - Transitional package
 Lightning is the calendar extension for Thunderbird. It can handle events,
 event invitations and tasks in multiple calendars.
 .
 It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.
 .
 This is a transitional package that pulls in the required package for
 lightning. It can be safely removed.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cak (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-cy (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-ka (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-si (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-uz (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Replaces:
 lightning-l10n-ar (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-ar (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-ar,
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Replaces:
 lightning-l10n-ast (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-ast (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-ast,
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Replaces:
 lightning-l10n-be (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-be (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-be,
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:bg
Replaces:
 lightning-l10n-bg (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-bg (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-bg,
Recommends:
 hunspell-bg | myspell-bg,
Description: Bulgarian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Bulgarian.

Package: thunderbird-l10n-br
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:br
Replaces:
 lightning-l10n-br (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-br (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-br,
Recommends:
 hunspell-br,
Description: Breton language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Breton.

Package: thunderbird-l10n-ca
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ca
Replaces:
 lightning-l10n-ca (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-ca (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-ca,
Recommends:
 hunspell-ca | myspell-ca,
Description: Catalan/Valencian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Catalan/Valencian.

Package: thunderbird-l10n-cak
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cak-GT
Description: Kacqhikel language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Kacqhikel.

Package: thunderbird-l10n-cs
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cs
Replaces:
 lightning-l10n-cs (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-cs (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-cs,
Recommends:
 hunspell-cs | myspell-cs-cz,
Description: Czech language package for Thunderbird

=== debian/rules ===
--- 
+++ 
@@ -158,11 +158,7 @@
 	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;
 
 override_dh_strip:
-	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
-		dh_strip --automatic-dbgsym ;\
-	else \
-		dh_strip --no-automatic-dbgsym ;\
-	fi
+	dh_strip --no-automatic-dbgsym
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0

## thunderbird 78.14.0

=== comm/third_party/rnp/src/lib/CMakeLists.txt ===
# Copyright (c) 2018-2020 Ribose Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

include(GNUInstallDirs)
include(GenerateExportHeader)

# these could probably be optional but are currently not
find_package(BZip2 REQUIRED)
find_package(ZLIB REQUIRED)

# required packages
find_package(JSON-C 0.11 REQUIRED)
find_package(Botan2 2.14.0 REQUIRED)

# generate a config.h
include(CheckIncludeFileCXX)
include(CheckCXXSymbolExists)
check_include_file_cxx(fcntl.h HAVE_FCNTL_H)
check_include_file_cxx(inttypes.h HAVE_INTTYPES_H)
check_include_file_cxx(limits.h HAVE_LIMITS_H)
check_include_file_cxx(stdint.h HAVE_STDINT_H)
check_include_file_cxx(string.h HAVE_STRING_H)
check_include_file_cxx(sys/cdefs.h HAVE_SYS_CDEFS_H)
check_include_file_cxx(sys/cdefs.h HAVE_SYS_MMAN_H)
check_include_file_cxx(sys/resource.h HAVE_SYS_RESOURCE_H)
check_include_file_cxx(sys/stat.h HAVE_SYS_STAT_H)
check_include_file_cxx(sys/types.h HAVE_SYS_TYPES_H)
check_include_file_cxx(sys/param.h HAVE_SYS_PARAM_H)
check_include_file_cxx(unistd.h HAVE_UNISTD_H)
check_include_file_cxx(sys/wait.h HAVE_SYS_WAIT_H)
check_cxx_symbol_exists(mkdtemp "stdlib.h;unistd.h" HAVE_MKDTEMP)
check_cxx_symbol_exists(mkstemp "stdlib.h;unistd.h" HAVE_MKSTEMP)
check_cxx_symbol_exists(realpath stdlib.h HAVE_REALPATH)
check_cxx_symbol_exists(O_BINARY fcntl.h HAVE_O_BINARY)
check_cxx_symbol_exists(_O_BINARY fcntl.h HAVE__O_BINARY)
check_cxx_symbol_exists(_tempnam stdio.h HAVE__TEMPNAM)
set(HAVE_ZLIB_H "${ZLIB_FOUND}")
set(HAVE_BZLIB_H "${BZIP2_FOUND}")
configure_file(config.h.in config.h)
# generate a version.h
configure_file(version.h.in version.h)

# check botan's enabled features
set(CMAKE_REQUIRED_INCLUDES "${BOTAN2_INCLUDE_DIRS}")
set(_botan_required_features
    # base
    BIGINT FFI HEX_CODEC PGP_S2K
    # AEAD
    BLOCK_CIPHER AEAD_EAX AEAD_OCB
    # symmetric ciphers
    AES BLOWFISH CAMELLIA CAST_128 DES IDEA RIPEMD_160 SM4 TWOFISH
    # cipher modes
    MODE_CBC MODE_CFB
    # RNG
    AUTO_RNG AUTO_SEEDING_RNG HMAC HMAC_DRBG
    # hash
    CRC24 HASH MD5 SHA1 SHA2_32 SHA2_64 SHA3 SM3
    # public-key core
    DL_GROUP DL_PUBLIC_KEY_FAMILY ECC_GROUP ECC_PUBLIC_KEY_CRYPTO PUBLIC_KEY_CRYPTO
    # public-key algs
    CURVE_25519 DSA ECDH ECDSA ED25519 ELGAMAL RSA SM2
    # public-key operations etc
    EME_PKCS1v15 EMSA_PKCS1 EMSA_RAW KDF_BASE RFC3394_KEYWRAP SP800_56A
)
foreach(feature ${_botan_required_features})
  check_cxx_symbol_exists("BOTAN_HAS_${feature}" botan/build.h _botan_has_${feature})
  if (NOT _botan_has_${feature})
    message(FATAL_ERROR "A required botan feature is missing: ${feature}")
  endif()
endforeach()
set(CMAKE_REQUIRED_INCLUDES)

add_library(librnp-obj OBJECT
  # librepgp
  ../librepgp/stream-armor.cpp
  ../librepgp/stream-common.cpp
  ../librepgp/stream-ctx.cpp
  ../librepgp/stream-dump.cpp
  ../librepgp/stream-key.cpp
  ../librepgp/stream-packet.cpp
  ../librepgp/stream-parse.cpp
  ../librepgp/stream-sig.cpp
  ../librepgp/stream-write.cpp

  # librekey
  ../librekey/key_store_g10.cpp
  ../librekey/key_store_kbx.cpp
  ../librekey/key_store_pgp.cpp
  ../librekey/rnp_key_store.cpp

  crypto/bn.cpp
  crypto/dsa.cpp
  crypto/ec.cpp
  crypto/ecdh.cpp
  crypto/ecdsa.cpp
  crypto/eddsa.cpp
  crypto/elgamal.cpp
  crypto/hash.cpp
  crypto/mpi.cpp
  crypto/rng.cpp
  crypto/rsa.cpp
  crypto/s2k.cpp
  crypto/sm2.cpp
  crypto/symmetric.cpp
  crypto/signatures.cpp
  crypto.cpp
  fingerprint.cpp
  generate-key.cpp
  key-provider.cpp
  misc.cpp
  pass-provider.cpp
  pgp-key.cpp
  rnp.cpp
  $<TARGET_OBJECTS:rnp-common>
)

set_target_properties(librnp-obj PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_include_directories(librnp-obj
  PUBLIC
    "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/src/lib>"
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src/common>"
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
    "$<INSTALL_INTERFACE:include>"
  PRIVATE
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${PROJECT_SOURCE_DIR}/src"
)
target_link_libraries(librnp-obj
  PRIVATE
    Botan2::Botan2
    JSON-C::JSON-C
)
set_target_properties(librnp-obj PROPERTIES CXX_VISIBILITY_PRESET hidden)
if (TARGET BZip2::BZip2)
  target_link_libraries(librnp-obj PRIVATE BZip2::BZip2)
endif()
if (TARGET ZLIB::ZLIB)
  target_link_libraries(librnp-obj PRIVATE ZLIB::ZLIB)
endif()
if (BUILD_SHARED_LIBS)
  target_compile_definitions(librnp-obj PRIVATE librnp_EXPORTS)
else()
  target_compile_definitions(librnp-obj PRIVATE RNP_STATIC)
endif()

add_library(librnp $<TARGET_OBJECTS:librnp-obj> $<TARGET_OBJECTS:rnp-common>)
set_target_properties(librnp
  PROPERTIES
    VERSION "${RNP_VERSION}"
    SOVERSION "${RNP_VERSION_MAJOR}"
    PREFIX "lib"
    OUTPUT_NAME "rnp-${RNP_VERSION_MAJOR}"
)

if (BUILD_SHARED_LIBS)
  add_library(librnp-static STATIC $<TARGET_OBJECTS:librnp-obj> $<TARGET_OBJECTS:rnp-common>)
else()
  add_library(librnp-static ALIAS librnp)
endif()

foreach (prop LINK_LIBRARIES INTERFACE_LINK_LIBRARIES INCLUDE_DIRECTORIES INTERFACE_INCLUDE_DIRECTORIES)
  get_target_property(val librnp-obj ${prop})
  set_property(TARGET librnp PROPERTY ${prop} ${val})
  if (BUILD_SHARED_LIBS)
    set_property(TARGET librnp-static PROPERTY ${prop} ${val})
  endif()
endforeach()

generate_export_header(librnp
  BASE_NAME rnp/rnp
  EXPORT_MACRO_NAME RNP_API
  STATIC_DEFINE RNP_STATIC
)

# This has precedence and can cause some confusion when the binary
# dir one isn't actually being used. To be improved.
if (NOT CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
  file(REMOVE "${CMAKE_CURRENT_SOURCE_DIR}/config.h")
  file(REMOVE "${CMAKE_CURRENT_SOURCE_DIR}/version.h")
endif()

set(LIBRNP_INCLUDEDIR "rnp-${PROJECT_VERSION_MAJOR}")

if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.12.0")
  set(namelink_component NAMELINK_COMPONENT development)
else()
  set(namelink_component)
endif()

# add these to the rnp-targets export
install(TARGETS librnp
  EXPORT rnp-targets
  LIBRARY
    DESTINATION  "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT runtime
    ${namelink_component}
  ARCHIVE DESTINATION  "${CMAKE_INSTALL_LIBDIR}"
  INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${LIBRNP_INCLUDEDIR}"
)

# install dll only for windows
if (WIN32)
  install(TARGETS librnp
    RUNTIME
      DESTINATION "${CMAKE_INSTALL_BINDIR}"
      COMPONENT runtime
  )
endif()

# install headers
install(
  FILES
    "${PROJECT_SOURCE_DIR}/include/rnp/rnp.h"
  COMPONENT
    development
  DESTINATION
    "${CMAKE_INSTALL_INCLUDEDIR}/${LIBRNP_INCLUDEDIR}/rnp"
  RENAME
    rnp.h
)
install(
  FILES
    "${PROJECT_SOURCE_DIR}/include/rnp/rnp_err.h"
  COMPONENT
    development
  DESTINATION
    "${CMAKE_INSTALL_INCLUDEDIR}/${LIBRNP_INCLUDEDIR}/rnp"
  RENAME
    rnp_err.h
)
install(
  FILES
    "${PROJECT_BINARY_DIR}/src/lib/rnp/rnp_export.h"
  COMPONENT
    development
  DESTINATION
    "${CMAKE_INSTALL_INCLUDEDIR}/${LIBRNP_INCLUDEDIR}/rnp"
  RENAME
    rnp_export.h
)

# .cmake installs
set(INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/rnp")

install(EXPORT rnp-targets
  FILE rnp-targets.cmake
  NAMESPACE rnp::
  DESTINATION "${INSTALL_CMAKEDIR}"
  COMPONENT development
)

include(CMakePackageConfigHelpers)
configure_package_config_file(
  "${PROJECT_SOURCE_DIR}/cmake/rnp-config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/rnp-config.cmake"
  INSTALL_DESTINATION "${INSTALL_CMAKEDIR}"
)
write_basic_package_version_file(rnp-config-version.cmake
  VERSION "${PROJECT_VERSION}"
  COMPATIBILITY SameMajorVersion
)
install (
  FILES
    "${CMAKE_CURRENT_BINARY_DIR}/rnp-config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/rnp-config-version.cmake"
  DESTINATION "${INSTALL_CMAKEDIR}"
  COMPONENT development
)

function(get_linked_libs libsvar dirsvar tgt)
  get_target_property(imported ${tgt} IMPORTED)
  list(APPEND visited_targets ${tgt})
  if (imported)
    get_target_property(linkedlibs ${tgt} INTERFACE_LINK_LIBRARIES)
  else()
    get_target_property(linkedlibs ${tgt} LINK_LIBRARIES)
  endif()
  set(libs)
  foreach (lib ${linkedlibs})
    if (TARGET ${lib})
      list(FIND visited_targets ${lib} visited)
      if ((${visited} EQUAL -1) AND (${CMAKE_SHARED_LIBRARY_PREFIX}))
        # library
        get_target_property(liblocation ${lib} LOCATION)
        get_filename_component(linkedlib ${liblocation} NAME_WE)
        string(REGEX REPLACE "^${CMAKE_SHARED_LIBRARY_PREFIX}" "" linkedlib ${linkedlib})
        get_linked_libs(linkedlibs libdirs ${lib})
        list(APPEND libs ${linkedlib} ${linkedlibs})
        # directory
        get_filename_component(libdir ${liblocation} DIRECTORY)
        list(FIND ${dirsvar} ${libdir} seendir)
        if (${seendir} EQUAL -1)
          list(APPEND ${dirsvar} ${libdir} ${libdirs})
        endif()
      endif()
    endif()
  endforeach()
  set(visited_targets ${visited_targets} PARENT_SCOPE)
  set(${libsvar} ${libs} PARENT_SCOPE)
  set(${dirsvar} ${${dirsvar}} PARENT_SCOPE)
endfunction()

get_linked_libs(libs dirs librnp)
set(linkercmd)
foreach (dir ${dirs})
  string(APPEND linkercmd "-L${dir} ")
endforeach()
foreach (lib ${libs})
  string(APPEND linkercmd "-l${lib} ")
endforeach()
string(STRIP "${linkercmd}" linkercmd)
set(LIBRNP_PRIVATE_LIBS ${linkercmd})

# create a pkgconfig .pc too
find_package(PkgConfig)
if (PKG_CONFIG_FOUND)
  get_target_property(LIBRNP_OUTPUT_NAME librnp OUTPUT_NAME)
  configure_file(
    "${PROJECT_SOURCE_DIR}/cmake/librnp.pc.in"
    "${PROJECT_BINARY_DIR}/librnp-${PROJECT_VERSION_MAJOR}.pc"
    @ONLY
  )
  install(
    FILES "${PROJECT_BINARY_DIR}/librnp-${PROJECT_VERSION_MAJOR}.pc"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
    COMPONENT development
  )
endif()

=== debian/changelog ===
thunderbird (1:78.14.0-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 09 Sep 2021 09:21:54 +0200

thunderbird (1:78.14.0-1) unstable; urgency=medium

  * [6dc6817] d/changelog: Correct TB version for referenced MFSA
  * [38f01f4] d/rules: Don't run dh_autoreconf
    (Closes: #993494)
  * [09c4cde] New upstream version 78.14.0
    Fixed CVE issues in upstream version 78.14.0 (MFSA 2021-42):
    CVE-2021-38493: Memory safety bugs fixed in Thunderbird 78.14 and
                    Thunderbird 91.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 08 Sep 2021 19:57:22 +0200

thunderbird (1:78.13.0-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 12 Aug 2021 18:25:10 +0200

thunderbird (1:78.12.0-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 18 Jul 2021 11:37:55 +0200

thunderbird (1:78.11.0-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Jun 2021 21:51:27 +0200

thunderbird (1:78.10.0-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 21 Apr 2021 11:15:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: thunderbird
 Section: mail
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
+Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Uploaders:
  Christoph Goehre <chris@sigxcpu.org>,
 Build-Depends:
@@ -11,7 +10,8 @@
  bzip2,
  cargo (>= 0.42),
  cbindgen (>= 0.14),
- clang,
+ gcc-mozilla (>= 7.1),
+ clang-7,
  debhelper (>= 10.2.5~),
  dh-apparmor,
  dh-exec,
@@ -19,10 +19,9 @@
  dpkg-dev (>= 1.16.18~),
  libasound2-dev [linux-any],
  libatk-adaptor,
- libbotan-2-dev (>= 2.8.0),
  libbz2-dev,
  libcairo2-dev (>= 1.10.2-1.1~),
- libclang-dev,
+ libclang-7-dev,
  libdbus-glib-1-dev (>= 0.60),
  libevent-dev (>= 1.4.1),
  libffi-dev,
@@ -31,26 +30,22 @@
  libgtk2.0-dev,
  libgtk-3-dev (>= 3.4),
  libjson-c-dev (>= 0.11),
- libhunspell-dev (>= 1.5.1~),
- libicu-dev (>= 64.1~),
  libidl-dev (>= 0.8.0),
  libiw-dev [linux-any],
  libnotify-dev,
- libnspr4-dev (>= 2:4.25~),
  libpng-dev,
  libpulse-dev,
  libreadline-dev,
- librust-toml-dev,
  libstartup-notification0-dev,
- libvpx-dev (>= 1.5.0),
  libx11-dev,
  libx11-xcb-dev,
  libxau-dev,
  libxft-dev,
  libxt-dev,
- llvm-dev,
+ llvm-7-dev,
  mesa-common-dev,
- nodejs (>= 10.19.0),
+ mozilla-devscripts,
+ nodejs-mozilla (>= 10.19.0),
  python3,
  rustc (>= 1.41),
  unzip,
@@ -64,7 +59,7 @@
 Standards-Version: 4.5.1
 
 Package: thunderbird
-Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
+Architecture: amd64 arm64 armhf i386 mips64el ppc64el s390x ppc64
 Depends:
  debianutils (>= 1.16),
  fontconfig,
@@ -82,10 +77,35 @@
 Provides:
  lightning (= ${binary:Version}),
  mail-reader,
+ icedove,
+Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
+Replaces:
+ icedove (<< 1:45.6.0-2.1~),
+ lightning (<< 1:76.0~b1-1~),
 Breaks:
  birdtray (<< 1.7.0+ds-1~),
+ calendar-exchange-provider (<< 4.0.0~beta4-1~),
  calendar-google-provider (<=1:68.2.1-1),
+ icedove (<< 1:45.6.0-2.1~),
  enigmail (<< 2:2.2.0~),
+ hunspell-ar (<< 0.0.0+20080110-1.1),
+ hunspell-da (<< 1:3.1.0-3),
+ hunspell-de-at (<< 20071211-2),
+ hunspell-de-ch (<< 20071211-2),
+ hunspell-de-de (<< 20071211-2),
+ hunspell-de-med (<< 20090825-1),
+ hunspell-en-ca (<< 1:3.1.0-3),
+ hunspell-en-us (<< 20070829-3),
+ hunspell-fr (<< 1:3.1.0-3),
+ hunspell-gl-es (<< 2.2a-6),
+ hunspell-hu (<< 1:3.1.0-3),
+ hunspell-ko (<< 0.3.3-1),
+ hunspell-ne (<< 1:3.1.0-3),
+ hunspell-se (<< 1.0~beta6.20081222-1.1),
+ hunspell-sh (<< 1:3.1.0-3),
+ hunspell-sr (<< 1:3.1.0-3),
+ hunspell-uz (<< 0.6-3.1),
+ hunspell-vi (<< 1:3.1.0-3),
  jsunit (<< 0.2.2-1~),
  lightning (<< 1:76.0~b1-1~),
  webext-compactheader (<= 3.0.0~),
@@ -95,8 +115,6 @@
  xul-ext-quotecolors (<=0.3-6),
  xul-ext-sieve (<= 0.3.1+dfsg-1~),
  webext-sogo-connector (<= 68.0.1-2~),
-Replaces:
- lightning (<< 1:76.0~b1-1~),
 Description: mail/news client with RSS, chat and integrated spam filter support
  Thunderbird is an mail client suitable for free distribution. The goal of
  Thunderbird is to produce a cross platform stand-alone mail application using
@@ -112,6 +130,33 @@
  .
  The goal of Thunderbird is to produce a cross platform standalone mail
  application using the XUL user interface language.
+
+Package: thunderbird-dbg
+Architecture: amd64 arm64 armhf i386 mips64el ppc64el s390x ppc64
+Priority: extra
+Section: debug
+Multi-Arch: same
+Depends:
+ thunderbird (= ${binary:Version}),
+ ${misc:Depends},
+Replaces:
+ icedove-dbg (<< 1:45.6.0-2.1~),
+Breaks:
+ icedove-dbg (<< 1:45.6.0-2.1~),
+Provides:
+ icedove-dbg,
+Description: Debug Symbols for Thunderbird
+ Thunderbird is an mail client suitable for free distribution. The goal of
+ Thunderbird is to produce a cross platform stand-alone mail application using
+ the XUL user interface language.
+ It supports different mail accounts, no matter of the used protocol like
+ POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
+ organization of mails with tagging and virtual folders. Also, more features
+ can be added by installing extensions.
+ .
+ This package contains the debug symbols for Thunderbird. Install this package
+ if you need to debug such a program or if you need a useful backtrace of a
+ crash.
 
 Package: lightning
 Architecture: all
@@ -193,6 +238,12 @@
  thunderbird-l10n-zh-cn (>= ${binary:Version}),
  thunderbird-l10n-zh-tw (>= ${binary:Version}),
  ${misc:Depends},
+Replaces:
+ icedove-l10n-all (<< 1:45.6.0-2.1~),
+Breaks:
+ icedove-l10n-all (<< 1:45.6.0-2.1~),
+Provides:
+ icedove-l10n-all,
 Description: All language packages for Thunderbird (meta)
  Thunderbird is an mail client suitable for free distribution. The goal of
  Thunderbird is to produce a cross platform stand-alone mail application using
@@ -210,10 +261,13 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:ar
 Replaces:
+ icedove-l10n-ar (<< 1:45.6.0-2.1~),
  lightning-l10n-ar (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-ar (<< 1:45.6.0-2.1~),
  lightning-l10n-ar (<< 1:60.2.1-1~),
 Provides:
+ icedove-l10n-ar,
  lightning-l10n-ar,
 Recommends:
  hunspell-ar,
@@ -233,10 +287,13 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:ast
 Replaces:
+ icedove-l10n-ast (<< 1:45.6.0-2.1~),
  lightning-l10n-ast (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-ast (<< 1:45.6.0-2.1~),
  lightning-l10n-ast (<< 1:60.2.1-1~),
 Provides:
+ icedove-l10n-ast,
  lightning-l10n-ast,
 Description: Asturian language package for Thunderbird
  Thunderbird is an mail client suitable for free distribution. The goal of
@@ -254,10 +311,13 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:be
 Replaces:
+ icedove-l10n-be (<< 1:45.6.0-2.1~),
  lightning-l10n-be (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-be (<< 1:45.6.0-2.1~),
  lightning-l10n-be (<< 1:60.2.1-1~),
 Provides:
+ icedove-l10n-be,
  lightning-l10n-be,
 Recommends:
  hunspell-be,
@@ -277,10 +337,13 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:bg
 Replaces:
+ icedove-l10n-bg (<< 1:45.6.0-2.1~),
  lightning-l10n-bg (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-bg (<< 1:45.6.0-2.1~),
  lightning-l10n-bg (<< 1:60.2.1-1~),
 Provides:
+ icedove-l10n-bg,
  lightning-l10n-bg,
 Recommends:
  hunspell-bg | myspell-bg,
@@ -300,72 +363,8 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:br
 Replaces:
+ icedove-l10n-br (<< 1:45.6.0-2.1~),
  lightning-l10n-br (<< 1:60.2.1-1~),
 Breaks:
+ icedove-l10n-br (<< 1:45.6.0-2.1~),
  lightning-l10n-br (<< 1:60.2.1-1~),
-Provides:
- lightning-l10n-br,
-Recommends:
- hunspell-br,
-Description: Breton language package for Thunderbird
- Thunderbird is an mail client suitable for free distribution. The goal of
- Thunderbird is to produce a cross platform stand-alone mail application using
- the XUL user interface language.
- .
- This package contains the localization of Thunderbird in Breton.
-
-Package: thunderbird-l10n-ca
-Architecture: all
-Section: localization
-Depends:
- thunderbird (<< ${source:Version}.1~),
- thunderbird (>= ${source:Version}),
- ${misc:Depends},
-Homepage: https://wiki.mozilla.org/L10n:Teams:ca
-Replaces:
- lightning-l10n-ca (<< 1:60.2.1-1~),
-Breaks:
- lightning-l10n-ca (<< 1:60.2.1-1~),
-Provides:
- lightning-l10n-ca,
-Recommends:
- hunspell-ca | myspell-ca,
-Description: Catalan/Valencian language package for Thunderbird
- Thunderbird is an mail client suitable for free distribution. The goal of
- Thunderbird is to produce a cross platform stand-alone mail application using
- the XUL user interface language.
- .
- This package contains the localization of Thunderbird in Catalan/Valencian.
-
-Package: thunderbird-l10n-cak
-Architecture: all
-Section: localization
-Depends:
- thunderbird (<< ${source:Version}.1~),
- thunderbird (>= ${source:Version}),
- ${misc:Depends},
-Homepage: https://wiki.mozilla.org/L10n:Teams:cak-GT
-Description: Kacqhikel language package for Thunderbird
- Thunderbird is an mail client suitable for free distribution. The goal of
- Thunderbird is to produce a cross platform stand-alone mail application using
- the XUL user interface language.
- .
- This package contains the localization of Thunderbird in Kacqhikel.
-
-Package: thunderbird-l10n-cs
-Architecture: all
-Section: localization
-Depends:
- thunderbird (<< ${source:Version}.1~),
- thunderbird (>= ${source:Version}),
- ${misc:Depends},
-Homepage: https://wiki.mozilla.org/L10n:Teams:cs
-Replaces:
- lightning-l10n-cs (<< 1:60.2.1-1~),
-Breaks:
- lightning-l10n-cs (<< 1:60.2.1-1~),
-Provides:
- lightning-l10n-cs,
-Recommends:
- hunspell-cs | myspell-cs-cz,
-Description: Czech language package for Thunderbird

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # export DH_VERBOSE=1
 
 # checking the release type, if $(RELEASE)=UNRELEASED we won't build
-# the thunderbird-dbgsym package
+# the thunderbird-dbg package
 include /usr/share/dpkg/pkg-info.mk
 RELEASE := $(DEB_DISTRIBUTION)
 
@@ -36,6 +36,10 @@
 $(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
 $(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
 $(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))
+
+# Use GCC on stretch to workaround a build issue with elfhack
+export CC = gcc
+export CXX = g++
 
 # special CFLAGS for various platforms
 ifeq ($(DEB_BUILD_ARCH),armel)
@@ -76,6 +80,10 @@
 export SHELL=/bin/bash
 # Work around https://github.com/rust-lang/cargo/issues/7147
 export CARGO_HOME=$(CURDIR)/debian/.cargo
+export NODEJS=/usr/lib/nodejs-mozilla/bin/node
+export PATH := /usr/lib/llvm-7/bin/:$(PATH)
+export PATH := /usr/lib/gcc-mozilla/bin/:$(PATH)
+LDFLAGS += -static-libstdc++
 
 %:
 	dh $@
@@ -112,6 +120,10 @@
 	# configure the various build settings for thunderbird
 	DIST= python3 ./mach -v configure
 
+# Ignore autoreconf, there is nothing that could be reconfigured. It's all
+# newly generated right before debhelper would call that target.
+override_dh_autoreconf:
+
 override_dh_auto_build:
 	# building the stuff
 	dh_auto_build --builddirectory=obj-thunderbird
@@ -126,7 +138,7 @@
 			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
 			exit 1 ;\
 		else \
-			$(CURDIR)/debian/xpi-pack.sh $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
+			xpi-pack $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
 		fi \
 	done
 
@@ -158,24 +170,32 @@
 	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;
 
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
+		dh_strip --dbg-package=thunderbird-dbg ;\
+	else \
+		dh_strip --no-automatic-dbgsym ;\
+	fi
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0
 
 override_dh_builddeb:
 	# just build all packages if there is no 'UNRELEASED' within the changelog
-	# found, otherwise skip the thunderbird-dbgsym package, it isn't there
+	# found, otherwise skip the thunderbird-dbg package, it isn't there
 	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
 		dh_builddeb ;\
 	else \
 		dh_builddeb -pthunderbird ;\
+		dh_builddeb -picedove ;\
+		dh_builddeb -picedove-dev ;\
 		dh_builddeb -plightning ;\
+		dh_builddeb -piceowl-extension ;\
 		for package in `grep -e \
-			'Package: thunderbird-l10n\|Package: lightning-l10n' debian/control | awk '{print $$2;}'`; do \
+			'Package: thunderbird-l10n\|Package: lightning-l10n\|Package: icedove-l10n\|Package: iceowl-l10n' debian/control | awk '{print $$2;}'`; do \
 			dh_builddeb -p$$package ;\
 		done ;\
-		sed -i '/thunderbird-dbgsym/d' debian/files ;\
+		sed -i '/thunderbird-dbg/d' debian/files ;\
+		sed -i '/icedove-dbg/d' debian/files ;\
 	fi
 
 .PHONY: build
